curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/members/{memberId} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "lmbr_128f962dbc8c4ba5dc",
"customer_id": "cust_6onRrs4kCnvSVrTs5YtDPFBG",
"program_id": "lprg_128f58429f4c4bf7b2",
"status": "ACTIVE",
"metadata": {},
"created_at": "2026-06-11T15:59:41.298Z",
"updated_at": null,
"object": "member",
"cards": [
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"card": {
"id": "lcrd_128f962dbd8c4ba5df",
"card_definition_id": "lcdef_128f495f720c4bec8c",
"card_type": "INDIVIDUAL",
"code": "SummerTime-7z8dWawICd",
"lifetime_bucket": {
"points": {
"total": 740,
"earned": 40,
"added": 700,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 30,
"expired": 300,
"spent": 250,
"refunded": 0,
"returned": 0,
"locked": 250,
"unlocked": 250
},
"pending_points": {
"total": 160,
"activated": 40,
"canceled": 0
}
},
"balance": {
"points": 160,
"pending_points": 120
},
"next_expiration": {
"points": 160,
"date": "2026-08-08"
},
"next_activation": {
"points": 10,
"type": "PERIOD_BASED",
"date": "2026-07-20"
},
"object": "card"
},
"object": "member_card"
},
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"card": {
"id": "lcrd_128f962dbd8c4ba5e0",
"card_definition_id": "lcdef_128f49963c0c4becb7",
"card_type": "INDIVIDUAL",
"code": "AutumnTime-R02hVARx33",
"lifetime_bucket": {
"points": {
"total": 50,
"earned": 0,
"added": 50,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 0,
"expired": 0,
"spent": 0,
"refunded": 0,
"returned": 0,
"locked": 0,
"unlocked": 0
},
"pending_points": {
"total": 160,
"activated": 0,
"canceled": 0
}
},
"balance": {
"points": 50,
"pending_points": 160
},
"next_expiration": {
"points": 50,
"date": "2026-12-23"
},
"next_activation": {
"points": 160,
"type": "FIXED_DATES",
"date": "2026-12-23"
},
"object": "card"
},
"object": "member_card"
},
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"card": {
"id": "lcrd_128f962dbd8c4ba5e1",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"card_type": "INDIVIDUAL",
"code": "AnnualTime-7M7ShPGfme",
"lifetime_bucket": {
"points": {
"total": 1250,
"earned": 250,
"added": 1000,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 1000,
"expired": 0,
"spent": 150,
"refunded": 0,
"returned": 0,
"locked": 10,
"unlocked": 10
},
"pending_points": {
"total": 300,
"activated": 250,
"canceled": 0
}
},
"balance": {
"points": 100,
"pending_points": 50
},
"next_expiration": null,
"next_activation": {
"points": 50,
"type": "PERIOD_BASED",
"date": "2026-07-20"
},
"object": "card"
},
"object": "member_card"
}
]
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find member with id lmbr_128f962dbc8c4ba5d",
"request_id": "v-12bdef050f2cb1ef71",
"resource_id": "lmbr_128f962dbc8c4ba5d",
"resource_type": "member"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Get a program member
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Returns a single member of the program together with all its loyalty cards. Each card includes the current balance, lifetime bucket counters, and next expiration/activation info.
Card code may be null shortly after member creation because card code
generation is asynchronous.
Returns 404 when the program or member does not exist.
A valid request URL is required to generate request examples{
"id": "lmbr_128f962dbc8c4ba5dc",
"customer_id": "cust_6onRrs4kCnvSVrTs5YtDPFBG",
"program_id": "lprg_128f58429f4c4bf7b2",
"status": "ACTIVE",
"metadata": {},
"created_at": "2026-06-11T15:59:41.298Z",
"updated_at": null,
"object": "member",
"cards": [
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"card": {
"id": "lcrd_128f962dbd8c4ba5df",
"card_definition_id": "lcdef_128f495f720c4bec8c",
"card_type": "INDIVIDUAL",
"code": "SummerTime-7z8dWawICd",
"lifetime_bucket": {
"points": {
"total": 740,
"earned": 40,
"added": 700,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 30,
"expired": 300,
"spent": 250,
"refunded": 0,
"returned": 0,
"locked": 250,
"unlocked": 250
},
"pending_points": {
"total": 160,
"activated": 40,
"canceled": 0
}
},
"balance": {
"points": 160,
"pending_points": 120
},
"next_expiration": {
"points": 160,
"date": "2026-08-08"
},
"next_activation": {
"points": 10,
"type": "PERIOD_BASED",
"date": "2026-07-20"
},
"object": "card"
},
"object": "member_card"
},
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"card": {
"id": "lcrd_128f962dbd8c4ba5e0",
"card_definition_id": "lcdef_128f49963c0c4becb7",
"card_type": "INDIVIDUAL",
"code": "AutumnTime-R02hVARx33",
"lifetime_bucket": {
"points": {
"total": 50,
"earned": 0,
"added": 50,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 0,
"expired": 0,
"spent": 0,
"refunded": 0,
"returned": 0,
"locked": 0,
"unlocked": 0
},
"pending_points": {
"total": 160,
"activated": 0,
"canceled": 0
}
},
"balance": {
"points": 50,
"pending_points": 160
},
"next_expiration": {
"points": 50,
"date": "2026-12-23"
},
"next_activation": {
"points": 160,
"type": "FIXED_DATES",
"date": "2026-12-23"
},
"object": "card"
},
"object": "member_card"
},
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"card": {
"id": "lcrd_128f962dbd8c4ba5e1",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"card_type": "INDIVIDUAL",
"code": "AnnualTime-7M7ShPGfme",
"lifetime_bucket": {
"points": {
"total": 1250,
"earned": 250,
"added": 1000,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 1000,
"expired": 0,
"spent": 150,
"refunded": 0,
"returned": 0,
"locked": 10,
"unlocked": 10
},
"pending_points": {
"total": 300,
"activated": 250,
"canceled": 0
}
},
"balance": {
"points": 100,
"pending_points": 50
},
"next_expiration": null,
"next_activation": {
"points": 50,
"type": "PERIOD_BASED",
"date": "2026-07-20"
},
"object": "card"
},
"object": "member_card"
}
]
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find member with id lmbr_128f962dbc8c4ba5d",
"request_id": "v-12bdef050f2cb1ef71",
"resource_id": "lmbr_128f962dbc8c4ba5d",
"resource_type": "member"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Loyalty program ID (format lprg_[a-f0-9]+).
^lprg_[a-f0-9]+$Program member ID (format lmbr_[a-f0-9]+).
^lmbr_[a-f0-9]+$Response
The member with its cards.
A loyalty program member together with its loyalty cards. Returned by member create and get endpoints.
Unique member ID assigned by Voucherify.
^lmbr_[a-f0-9]+$Unique Voucherify ID of the customer enrolled as this member.
^cust_[a-zA-Z0-9]+Unique Voucherify ID of the loyalty program the member belongs to.
^lprg_[a-f0-9]+$Current member status. INACTIVE member can't earn points or redeem rewards.
ACTIVE, INACTIVE, DELETED Free-form metadata attached to the member (empty object when none).
Timestamp when the member was created (ISO 8601).
Timestamp when the member was last updated (ISO 8601), or null if never updated.
Object type marker, always member.
"member"Member's loyalty cards - one per card definition assigned to the program. Card codes are generated asynchronously, so card.code may be null right after member creation.
Show child attributes
Show child attributes
Was this page helpful?

